#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);cin.tie(0);cout.tie(0);
    int n,m;
    cin>>n>>m;
    vector <int> c(m);
    for(int i=0;i<m;i++) cin>>c[i];
    set <int> st(c.begin(),c.end());
    vector <int> ans;
    for(auto i:st){
        if(count(c.begin(),c.end(),i)>=n) ans.push_back(i);
    }
    cout<<ans.size()<<endl;
    for(auto i:ans) cout<<i<<" ";
}
